# Enum Class RefFlatReader.RefFlatColumns

java.lang.Object
java.lang.Enum<RefFlatReader.RefFlatColumns>
picard.annotation.RefFlatReader.RefFlatColumns

All Implemented Interfaces:
  `Serializable, Comparable<RefFlatReader.RefFlatColumns>, Constable`

Enclosing class:
  `RefFlatReader`

public static enum RefFlatReader.RefFlatColumns extends Enum<RefFlatReader.RefFlatColumns>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CDS_END`
`CDS_START`
`CHROMOSOME`
`EXON_COUNT`
`EXON_ENDS`
`EXON_STARTS`
`GENE_NAME`
`STRAND`
`TRANSCRIPT_NAME`
`TX_END`
`TX_START`

## Method Summary

Modifier and Type
Method
Description
`static RefFlatReader.RefFlatColumns`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RefFlatReader.RefFlatColumns[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GENE_NAME

public static final RefFlatReader.RefFlatColumns GENE_NAME

### TRANSCRIPT_NAME

public static final RefFlatReader.RefFlatColumns TRANSCRIPT_NAME

### CHROMOSOME

public static final RefFlatReader.RefFlatColumns CHROMOSOME

### STRAND

public static final RefFlatReader.RefFlatColumns STRAND

### TX_START

public static final RefFlatReader.RefFlatColumns TX_START

### TX_END

public static final RefFlatReader.RefFlatColumns TX_END

### CDS_START

public static final RefFlatReader.RefFlatColumns CDS_START

### CDS_END

public static final RefFlatReader.RefFlatColumns CDS_END

### EXON_COUNT

public static final RefFlatReader.RefFlatColumns EXON_COUNT

### EXON_STARTS

public static final RefFlatReader.RefFlatColumns EXON_STARTS

### EXON_ENDS

public static final RefFlatReader.RefFlatColumns EXON_ENDS

## Method Details

### values

public static RefFlatReader.RefFlatColumns[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RefFlatReader.RefFlatColumns valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null